Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Interface OutputPatternListener

All Superinterfaces:
  NeuralElement

All Known Subinterfaces:
  ComparingElement

All Known Implementing Classes:
  AbstractTeacherSynapse, BufferedSynapse, ComparingSynapse, ComparisonSynapse, DelaySynapse, DirectSynapse, FahlmanTeacherSynapse, FileInputSynapse, FileOutputSynapse, FreudRuleFullSynapse, FullSynapse, ImageInputSynapse, ImageOutputSynapse, InputConnector, InputSwitchSynapse, JDBCInputSynapse, JDBCOutputSynapse, KohonenSynapse, LearningSwitch, MemoryInputSynapse, MemoryOutputSynapse, MultipleInputSynapse, OutputSwitchSynapse, PatternForwardedSynapse, RbfInputSynapse, SangerSynapse, StreamInputSynapse, StreamOutputSynapse, Synapse, TeacherSynapse, TeachingSynapse, URLInputSynapse, XLSInputSynapse, XLSOutputSynapse, YahooFinanceInputSynapse

    public interface OutputPatternListener

extends NeuralElement

This interface represents an output synapse for a generic layer.

Method Summary
`void` | `fwdPut(Pattern pattern)` Method to put a pattern forward to the next layer
`int` | `getInputDimension()` Returns the dimension of the output synapse
`boolean` | `isOutputFull()`
`Pattern` | `revGet()` Returns the error pattern coming from the next layer during the training phase
`void` | `setInputDimension(int newInputDimension)` Sets the dimension of the output synapse
`void` | `setOutputFull(boolean outputFull)`

Methods inherited from interface org.joone.engine.NeuralElement
`check, getMonitor, getName, init, isEnabled, setEnabled, setMonitor, setName`

Method Detail

### fwdPut

    void fwdPut(Pattern pattern)

  Method to put a pattern forward to the next layer

  Parameters:
    `pattern` - neural.engine.Pattern

### isOutputFull

    boolean isOutputFull()

### setOutputFull

    void setOutputFull(boolean outputFull)

### getInputDimension

    int getInputDimension()

  Returns the dimension of the output synapse

  Returns:
    int

### revGet

    Pattern revGet()

  Returns the error pattern coming from the next layer during the training phase

  Returns:
    neural.engine.Pattern

### setInputDimension

    void setInputDimension(int newInputDimension)

  Sets the dimension of the output synapse

  Parameters:
    `newOutputDimension` - int

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net